/* calculates total base balance at bags break even price, used for trading limit compounding */
(function totalBaseBalance(data) {

    const baseBalance = data.pair.baseBalance;
    const base = data.pairName.split('-')[0];
    let configPairCount = 0;
    let sameBasePairs = [];

    Object.keys(data.config.pairs.binance).forEach(pair => {
        if (pair.split('-')[0] === base){
            configPairCount++;
            sameBasePairs.push(pair);
        }
    });

    let positions = [];
    let combinedBaseValue = 0;

    sameBasePairs.forEach(pair => {

        if (Object.keys(data.pairVariables.binance).indexOf(pair) > -1) {
            if (parseFloat(data.pairVariables.binance[pair].newOverrides.BAG_SIZE) > 0) {
                positions.push(parseFloat(data.pairVariables.binance[pair].newOverrides.BAG_SIZE));
            }
            else if (data.pairVariables.binance[pair].newOverrides.BAG_SIZE === 'none') {
                positions.push(0);
            }

        }

    });

    if (positions.length === configPairCount){
        combinedBaseValue = (positions.reduce(function(a, b){
            return a + b;
        }, 0)) + baseBalance;

        return combinedBaseValue;
    }
    else {
        return 0;
    }

})(this)