/* Saves a rolling history of up to 24 snapshots in 4h interval of the current "wallet balance" for each base currency, using pairs current rates */
(function baseValueHistory(data) {
    let history = data.pair.whatstrat.BASE_VALUE_HISTORY || [];
    const baseBalance = data.pair.baseBalance;
    const base = data.pairName.split('-')[0];
    let configPairCount = 0;
    let sameBasePairs = [];
    let positions = [];
    let combinedBaseValue = 0;

    Object.keys(data.config.pairs.binance).forEach(pair => {
        if (pair.split('-')[0] === base){
            configPairCount++;
            sameBasePairs.push(pair);
        }
    });

    function trackWalletHistory() {
		const timeNow = Date.now() / 1000;
		const currentBalance = {
			timestamp: timeNow,
			value: combinedBaseValue
		};
		let data;
		if (Array.isArray(history) === true) {
			data = history;
		} else if (typeof history === 'string') {
			data = JSON.parse(history);
		}
		if (data.length < 1) {
			data.push(currentBalance);
		} else if (((timeNow - data[data.length - 1].timestamp) > 14400) && data.length < 100) {
			data.push(currentBalance);
		} else if (((timeNow - data[data.length - 1].timestamp) > 14400) && data.length === 100) {
			data.shift();
			data.push(currentBalance);
		}
		history = JSON.stringify(data);
	}

    sameBasePairs.forEach(pair => {

        if (Object.keys(data.pairVariables.binance).indexOf(pair) > -1) {
            if (parseFloat(data.pairVariables.binance[pair].newOverrides.BAG_VALUE) > 0) {
                positions.push(parseFloat(data.pairVariables.binance[pair].newOverrides.BAG_VALUE));
            }
            else if (data.pairVariables.binance[pair].newOverrides.BAG_VALUE === 'none') {
                positions.push(0);
            }

        }

    });

    if (positions.length === configPairCount){
        combinedBaseValue = (positions.reduce(function(a, b){
            return a + b;
        }, 0)) + baseBalance;
        trackWalletHistory();
        return history;
    }
    else {
        return history;
    }

})(this)